/* Copyright 2013 Forex Capital Markets LLC

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use these files except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace GetHistPricesGUI
{
    /// <summary>
    /// Some utility methods.
    /// </summary>
    class Util
    {
        /// <summary>
        /// Shows an error message.
        /// </summary>
        /// <param name="error">The error message.</param>
        public static void ShowError(string error)
        {
            MessageBox.Show(error, Properties.Resources.MessageBoxTitle,
                MessageBoxButtons.OK, MessageBoxIcon.Error);
        }

        /// <summary>
        /// Shows an information message.
        /// </summary>
        /// <param name="msg">The message.</param>
        public static void ShowMesasge(string msg)
        {
            MessageBox.Show(msg, Properties.Resources.MessageBoxTitle,
                MessageBoxButtons.OK, MessageBoxIcon.Information);
        }
    }
}
