@echo off

rem ---------------------------------------------------------------------------
rem Arguments:
rem %1 - x86|x64
rem %2 - dotnet20|dotnet40
rem Example:
rem create_setup x86 dotnet20
rem ---------------------------------------------------------------------------

rem create snapshot
if exist snapshot rmdir snapshot /q /s
mkdir snapshot

set BUILD_OUTDIR=..\..\bin\"%2"\"%1"

copy %BUILD_OUTDIR%\ForexConnect.dll snapshot
copy %BUILD_OUTDIR%\fxcore2.dll snapshot
copy %BUILD_OUTDIR%\fxmsg.dll snapshot
copy %BUILD_OUTDIR%\fxtp.dll snapshot
copy %BUILD_OUTDIR%\GetHistPricesGUI.exe snapshot
copy %BUILD_OUTDIR%\GetHistPricesGUI.exe.config snapshot
copy %BUILD_OUTDIR%\gsexpat.dll snapshot
copy %BUILD_OUTDIR%\gstool3.dll snapshot
copy %BUILD_OUTDIR%\gszlib.dll snapshot
copy %BUILD_OUTDIR%\httplib.dll snapshot
copy %BUILD_OUTDIR%\log4cplus.dll snapshot
copy %BUILD_OUTDIR%\msvcp80.dll snapshot
copy %BUILD_OUTDIR%\msvcr80.dll snapshot
copy %BUILD_OUTDIR%\pdas.dll snapshot
copy %BUILD_OUTDIR%\pricehistorymgr.dll snapshot
copy %BUILD_OUTDIR%\pricehistorymgr_net.dll snapshot
copy %BUILD_OUTDIR%\quotesmgr2.dll snapshot
copy %BUILD_OUTDIR%\quotesmgr2_net.dll snapshot
copy %BUILD_OUTDIR%\sqlite3.8.dll snapshot

rem create installation
@IF /I "%1"=="x86"           SET "nsis_defs=%nsis_defs% /Dwin32"
@IF /I "%1"=="x64"           SET "nsis_defs=%nsis_defs% /Dwin64"

"C:\Program Files (x86)\NSIS\makensis.exe" GetHistPricesGUISetup.nsi
